.profile-fullness {
    color: white;
    padding: rem(20) rem(16);
    font-weight: 500;
    font-size: rem(14);
    border-radius: 20px;
    background: var(--blue);
    display: flex;
    flex-direction: column;
    column-gap: rem(40);
    row-gap: rem(20);

    &__title {
        font-weight: 500;
        font-size: rem(24);
        line-height: 120%;
        margin-bottom: rem(10);
    }

    &__text {
        color: #E4E4E4;
    }

    &__value {
        text-align: right;
        font-weight: 500;
        font-size: rem(43);
        line-height: rem(45);
    }

    &__scale {
        height: rem(5);
        position: relative;
        border-radius: 5px;
        background: #ABABAB;
    }

    &__progress {
        top: 0;
        left: 0;
        bottom: 0;
        display: block;
        border-radius: 5px;
        position: absolute;
        background: white;
    }

    &__text {
        max-width: rem(540);
    }

    @include media-breakpoint-up(md) {
        font-size: rem(16);
        padding: rem(34) rem(40);
        row-gap: rem(40);

        &__value {
            font-size: rem(70);
            line-height: rem(80);
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {
        flex-direction: row;
        justify-content: space-between;

        &__data {
            width: rem(485);
            flex-shrink: 0;
        }
    }

    @include media-breakpoint-up(xxl) {}
}

.profile-block {
    padding: rem(20) rem(16);
    background: white;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    row-gap: rem(20);

    &__header {
        padding-bottom: rem(20);
        border-bottom: 1px solid #E8E8E8;
    }

    &__title {
        font-weight: 400;
        font-size: rem(24);
        line-height: 130%;
    }

    &__row {
        display: grid;
        grid-row-gap: rem(20);
        grid-column-gap: rem(40);
        grid-template-columns: 1fr;
    }

    &__column {
        display: flex;
        flex-direction: column;
        row-gap: rem(30);
    }

    &__media {

    }

    &__avatar {
        display: block;
        overflow: hidden;
        width: rem(86);
        height: rem(86);
        border-radius: 50%;
        flex-shrink: 0;
    }

    &__text {
        font-size: rem(13);
        line-height: rem(18);
        color: var(--gray);
        margin-bottom: rem(6);
    }

    &__footer {
        display: flex;
        column-gap: rem(8);


        .btn {
          //  min-width: rem(160);
        }
    }

    &__primary {
        max-width: rem(360);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__secondary {
        display: flex;
        row-gap: rem(20);
        flex-direction: column;
    }

    &__body {
        display: flex;
        flex-direction: column;
        row-gap: rem(30);
    }

    @include media-breakpoint-up(md) {
        padding: rem(40);
        row-gap: rem(40);

        &__avatar {
            width: rem(160);
            height: rem(160);
        }

        &__primary {
            max-width: inherit;
            column-gap: rem(60);
            justify-content: flex-start;
        }

        &__secondary {
            row-gap: rem(30);
        }

        &__row {
            row-gap: rem(30);
        }
    }

    @include media-breakpoint-up(lg) {

        &__row {
            grid-template-columns: 1fr 1fr;
        }

        &__primary {
            align-items: flex-start;
            flex-direction: column;
            justify-content: space-between;
        }
    }

    @include media-breakpoint-up(xl) {
        flex-direction: row;

        &__header {
            width: rem(220);
            flex-shrink: 0;
            padding-right: rem(40);
            border-bottom: none;
            border-right: 1px solid #E8E8E8;
        }

        &__row {
            grid-column-gap: rem(60);
            grid-template-columns: 1fr 1fr;
        }

        &__body {
            flex-grow: 1;
            padding-left: rem(40);
            display: flex;
            flex-direction: column;
        }

        &__row {
            max-width: rem(884);
        }

        &__footer {
        }
    }

    @include media-breakpoint-up(xxl) {

        &__body {

        }
    }

    @media (min-width: 1920px) {

        &__body {
            padding-left: rem(140);
        }

        &__row {
            margin: 0;
        }
    }
}

.form-password {

    &__main {
        display: flex;
        align-items: center;
        column-gap: rem(16);
    }

    &__label {
        display: block;
        font-weight: 400;
        font-size: rem(13);
        line-height: 140%;
        white-space: nowrap;
    }

    &__value {
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;
        column-gap: rem(4);

        span {
            display: block;
            width: rem(6);
            height: rem(6);
            flex-shrink: 0;
            border-radius: 50%;
            background: var(--black);
        }
    }

    &__edit {
        padding: 0;
        border: none;
        outline: none;
        cursor: pointer;
        color: var(--gray);
        stroke: var(--gray);
        font-size: rem(13);
        line-height: rem(18);
        white-space: nowrap;
        margin-top: rem(8);
        display: inline-flex;
        align-items: center;
        column-gap: rem(4);
        text-decoration: none;
        background: transparent;
        transition: var(--transition-time);

        &:hover {
            color: var(--dark);
            stroke: var(--dark);
            text-decoration: none;
            transition: var(--transition-time);
        }


        &:active {
            color: var(--gray-dark);
            stroke: var(--gray-dark);
        }

        span {
            display: block;
        }

        i {
            font-size: 0;
            line-height: 0;
            width: rem(16);
            height: rem(16);
            display: block;
            flex-shrink: 0;
        }
    }
}
